=== debian/watch ===
version=3

http://userweb.kernel.org/~acme/dwarves/dwarves-(.*)\.tar\.bz2
