=== debian/changelog ===
dwarves-dfsg (1.10-2.1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:20:24 +0000

dwarves-dfsg (1.10-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Robie Basak ]
  * Fix FTBFS with newer elfutils. (Closes: #764484)

 -- James Cowgill <jcowgill@debian.org>  Thu, 24 Mar 2016 13:01:08 +0000

dwarves-dfsg (1.10-2) unstable; urgency=low

  * Make sure CMake uses standard library location if host has no
    MultiArch. Closes: #665054.

 -- Thomas Girard <thomas.g.girard@free.fr>  Sat, 16 Jun 2012 10:50:15 +0200

dwarves-dfsg (1.10-1) unstable; urgency=low

  * New upstram release.
  * Record patches using dpkg-source --commit. Closes: #643102.
  * Use MultiArch elfutils location. Closes: #665054.
  * debian/control: change homepage to new location.
  * debian/watch: change source tarball location.
  * debian/control: bump Standards-Version: to 3.9.3. No changes needed.
  * debian/rules: add missing build-arch and build-indep targets.

 -- Thomas Girard <thomas.g.girard@free.fr>  Fri, 08 Jun 2012 20:55:03 +0200
