=== debian/watch ===
version=3

http://fedorapeople.org/~acme/dwarves/dwarves-(.*)\.tar\.bz2
