## dwarves-dfsg 1.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,18 +27,18 @@
 	     FORCE)
 endif (NOT CMAKE_BUILD_TYPE)
 
-add_definitions(-D_GNU_SOURCE -DDWARVES_VERSION="v1.9")
+add_definitions(-D_GNU_SOURCE -DDWARVES_VERSION="v1.12")
 find_package(DWARF REQUIRED)
 find_package(ZLIB REQUIRED)
 
 _set_fancy(LIB_INSTALL_DIR "${EXEC_INSTALL_PREFIX}${CMAKE_INSTALL_PREFIX}/${__LIB}" "libdir")
 
 set(dwarves_LIB_SRCS dwarves.c dwarves_fprintf.c gobuffer strings
-		     ctf_encoder.c ctf_loader.c libctf.c dwarf_loader.c
-		     dutil.c elf_symtab.c rbtree.c)
+		     ctf_encoder.c ctf_loader.c libctf.c btf_encoder.c libbtf.c
+		     dwarf_loader.c dutil.c elf_symtab.c rbtree.c)
 add_library(dwarves SHARED ${dwarves_LIB_SRCS})
 set_target_properties(dwarves PROPERTIES VERSION 1.0.0 SOVERSION 1)
-set_target_properties(dwarves PROPERTIES LINK_INTERFACE_LIBRARIES "")
+set_target_properties(dwarves PROPERTIES INTERFACE_LINK_LIBRARIES "")
 target_link_libraries(dwarves ${DWARF_LIBRARIES} ${ZLIB_LIBRARIES})
 
 set(dwarves_emit_LIB_SRCS dwarves_emit.c)
