=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: dwarves-dfsg
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thomas Girard <thomas.g.girard@free.fr>
+Maintainer: Thomas Girard <thomas.g.girard@free.fr>
 Uploaders: Domenico Andreoli <cavok@debian.org>
 Build-Depends: debhelper (>= 7), libelf-dev, libdw-dev (>= 0.141), cmake (>= 2.4.8), zlib1g-dev
 Standards-Version: 3.9.3
 Section: utils
-Vcs-Git: git://git.debian.org/collab-maint/pkg-dwarves.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/pkg-dwarves.git;a=summary
+Vcs-Browser: https://salsa.debian.org/debian/dwarves
+Vcs-Git: git@salsa.debian.org:debian/dwarves.git
 Homepage:  http://acmel.wordpress.com
 
 Package: dwarves
@@ -15,8 +14,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: set of advanced DWARF utilities
  This package contains tools that use the DWARF debugging information
- inserted in ELF binaries by the compiler. This information is already
- used by debuggers (e.g. GDB), and more recent tools such as systemtap.
+ inserted in ELF binaries by the compiler. This information is used by
+ debuggers (e.g. GDB), and other tools such as systemtap.
  .
  Utilities in the dwarves suite include:
  .
