=== debian/rules ===
--- 
+++ 
@@ -15,11 +15,12 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	mkdir -p debian/build
-	cd debian/build && cmake -D__LIB=lib -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE="None" ../..
+	dh_auto_configure --builddirectory=debian/build -- -D__LIB=lib -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE="None"
 	touch $@
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: configure-stamp
 	dh_testdir
 	$(MAKE) VERBOSE=1 -C debian/build
@@ -60,6 +61,7 @@
 	dh_link
 	dh_strip
 	dh_compress
+	dh_strip_nondeterminism
 	dh_fixperms
 	dh_installdeb
 	dh_shlibdeps
