=== debian/tests/control ===
Test-Command: pahole `which pahole`
Depends: dwarves-dbgsym
