=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: dwarves-dfsg
-Priority: extra
+Priority: optional
 Maintainer: Thomas Girard <thomas.g.girard@free.fr>
 Uploaders: Domenico Andreoli <cavok@debian.org>
-Build-Depends: debhelper (>= 7), libelf-dev, libdw-dev (>= 0.141), cmake (>= 2.4.8), zlib1g-dev
+Build-Depends: debhelper (>= 10), cmake (>= 2.4.8), zlib1g-dev, libelf-dev, libdw-dev (>= 0.141)
 Standards-Version: 3.9.3
 Section: utils
 Vcs-Browser: https://salsa.debian.org/debian/dwarves
-Vcs-Git: git@salsa.debian.org:debian/dwarves.git
-Homepage:  http://acmel.wordpress.com
+Vcs-Git: https://salsa.debian.org/debian/dwarves.git
+Homepage: http://acmel.wordpress.com
 
 Package: dwarves
 Architecture: any
