=== debian/tests/control ===
Test-Command: pahole /usr/bin/pahole
Depends: dwarves-dbgsym
Restrictions: skip-not-installable
