## dwarves-dfsg 1.17

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,10 @@
 	     FORCE)
 endif (NOT CMAKE_BUILD_TYPE)
 
-add_definitions(-D_GNU_SOURCE -DDWARVES_VERSION="v1.15")
+set(CMAKE_C_FLAGS_DEBUG "-Wall -Werror -ggdb -O2")
+set(CMAKE_C_FLAGS_RELEASE "-Wall -O2")
+
+add_definitions(-D_GNU_SOURCE -DDWARVES_VERSION="v1.17")
 find_package(DWARF REQUIRED)
 find_package(ZLIB REQUIRED)
 
@@ -71,6 +74,8 @@
   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DCOMPAT_NEED_REALLOCARRAY")
 endif()
 
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64")
+
 file(GLOB libbpf_sources "lib/bpf/src/*.c")
 add_library(bpf OBJECT ${libbpf_sources})
 set_property(TARGET bpf PROPERTY POSITION_INDEPENDENT_CODE 1)
@@ -84,6 +89,8 @@
 add_library(dwarves SHARED ${dwarves_LIB_SRCS} $<TARGET_OBJECTS:bpf>)
 set_target_properties(dwarves PROPERTIES VERSION 1.0.0 SOVERSION 1)
 set_target_properties(dwarves PROPERTIES INTERFACE_LINK_LIBRARIES "")
+target_include_directories(dwarves PRIVATE
+			   ${CMAKE_CURRENT_SOURCE_DIR}/lib/bpf/include/uapi)
 target_link_libraries(dwarves ${DWARF_LIBRARIES} ${ZLIB_LIBRARIES})
 
 set(dwarves_emit_LIB_SRCS dwarves_emit.c)
