=== debian/changelog ===
dwarves-dfsg (1.17-1) unstable; urgency=low

  * New upstream release (changes since 1.16):

    BTF loader:
     - Support raw BTF as available in /sys/kernel/btf/vmlinux.

    pahole:
     - When the sole argument passed isn't a file, take it as a class name:
     - Do not require a class name to operate without a file name.
     - Make --find_pointers_to consider unions:
     - Make --contains and --find_pointers_to honour --unions
     - Add support for finding pointers to void:
     - Make --contains and --find_pointers_to to work with base types:
     - Make --contains look for more than just unions, structs:
     - Consider unions when looking for classes containing some class:
     - Introduce --unions to consider just unions:
     - Fix -m/--nr_methods - Number of functions operating on a type pointer

    man-pages:
     - Add section about --hex + -E to locate offsets deep into sub structs.
     - Add more information about BTF.
     - Add some examples.

  * Update to Standards-Version 4.5.0:
    - Drop get-orig-source rules target
    - Add Rules-Requires-Root: no
  * Update debhelper compat to 12.

 -- Domenico Andreoli <cavok@debian.org>  Sun, 19 Apr 2020 20:25:33 +0200

dwarves-dfsg (1.16-1) unstable; urgency=low

  * New upstream release (changes since 1.15):
    - Preserve and encode exported functions as BTF_KIND_FUNC
    - Add support for BTF_KIND_FUNC
    - Account inline type __aligned__ member types for spacing
    - Fix alignment of class members that are structs/enums/unions
    - Fixup handling classes with no members, solving a NULL deref
    - Avoid infinite loop trying to determine type with static data
      member of its own type.
    - type->type == 0 is void, fix --compile for that
    - Print DW_TAG_subroutine_type as well
    - Fix ptr_table__add_with_id() handling of pt->nr_entries, covering
      how BTF variables IDs are encoded
    - Allow passing the format path specifier, to use with BTF
    - Fixup issues pointed out by various coverity reports

 -- Domenico Andreoli <cavok@debian.org>  Wed, 15 Jan 2020 18:02:11 +0100
