## dwarves-dfsg 1.21

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,9 +33,9 @@
 set(CMAKE_C_FLAGS_RELEASE "-Wall -O2")
 
 # Just for grepping, DWARVES_VERSION isn't used anywhere anymore
-# add_definitions(-D_GNU_SOURCE -DDWARVES_VERSION="v1.20")
+# add_definitions(-D_GNU_SOURCE -DDWARVES_VERSION="v1.21")
 add_definitions(-D_GNU_SOURCE -DDWARVES_MAJOR_VERSION=1)
-add_definitions(-D_GNU_SOURCE -DDWARVES_MINOR_VERSION=20)
+add_definitions(-D_GNU_SOURCE -DDWARVES_MINOR_VERSION=21)
 find_package(DWARF REQUIRED)
 find_package(ZLIB REQUIRED)
