=== debian/changelog ===
dwarves-dfsg (1.21-0ubuntu1~20.04.1) focal-security; urgency=medium

  * SECURITY UPDATE: use-after-free vulnerability
    - debian/patches/CVE-2022-3534.patch: Fix use-after-free in
      btf_dump_name_dups
    - CVE-2022-3534
  * SECURITY UPDATE: null pointer dereference vulnerability
    - debian/patches/CVE-2022-3606.patch: Fix null-pointer dereference in
      find_prog_by_sec_insn()
    - CVE-2022-3606

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 05 Jul 2023 10:25:24 +0100

dwarves-dfsg (1.21-0ubuntu1~20.04) focal; urgency=medium

  * Backport new dwarves-dfsg to stable series without upgrading libbpf
    system-wide (LP: #1912811):
    + Update lib/bpf to libbpf_0.4.0-1ubuntu1.
    + Disable lto, since it is disabled in libbpf.
    + Build with embedded libbpf.
    + Drop libbpf-dev build dependency.
    + Lower debhelper-compat to 12.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 20 Sep 2021 13:10:02 +0100

dwarves-dfsg (1.21-0ubuntu1) impish; urgency=medium

  * New upstream release. Remaining changes:
    - pahole: cherry-pick removal of the ftrace filter and its related
    functions to prevent build errors with linux 5.13.
    - build with libbpf 0.4, as will be required in the next release.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 16 Jun 2021 09:57:20 +0100

dwarves-dfsg (1.20-1ubuntu1) impish; urgency=medium

  * pahole: remove the ftrace filter and its related functions to prevent
    build errors with linux 5.13 (LP: #1928244)

 -- Andrea Righi <andrea.righi@canonical.com>  Wed, 12 May 2021 18:00:27 +0200
